/*h1*/
(function() {
    tinymce.create('tinymce.plugins.h1_btn', {
        init : function(ed, url) {
            ed.addButton('h1_btn', {
                title : 'h1',
                image : url+'/shortcodesImg/h1.png',
                onclick : function() {
                    ed.selection.setContent('[h1]' + ed.selection.getContent() + '[/h1]');
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('h1_btn', tinymce.plugins.h1_btn);
})();
/*h1*/
/*h2*/
(function() {
    tinymce.create('tinymce.plugins.h2_btn', {
        init : function(ed, url) {
            ed.addButton('h2_btn', {
                title : 'h2',
                image : url+'/shortcodesImg/h2.png',
                onclick : function() {
                    ed.selection.setContent('[h2]' + ed.selection.getContent() + '[/h2]');
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('h2_btn', tinymce.plugins.h2_btn);
})();
/*h2*/
/*h3*/
(function() {
    tinymce.create('tinymce.plugins.h3_btn', {
        init : function(ed, url) {
            ed.addButton('h3_btn', {
                title : 'h3',
                image : url+'/shortcodesImg/h3.png',
                onclick : function() {
                    ed.selection.setContent('[h3]' + ed.selection.getContent() + '[/h3]');
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('h3_btn', tinymce.plugins.h3_btn);
})();
/*h3*/
/*h4*/
(function() {
    tinymce.create('tinymce.plugins.h4_btn', {
        init : function(ed, url) {
            ed.addButton('h4_btn', {
                title : 'h4',
                image : url+'/shortcodesImg/h4.png',
                onclick : function() {
                    ed.selection.setContent('[h4]' + ed.selection.getContent() + '[/h4]');
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('h4_btn', tinymce.plugins.h4_btn);
})();
/*h4*/
/*h5*/
(function() {
    tinymce.create('tinymce.plugins.h5_btn', {
        init : function(ed, url) {
            ed.addButton('h5_btn', {
                title : 'h5',
                image : url+'/shortcodesImg/h5.png',
                onclick : function() {
                    ed.selection.setContent('[h5]' + ed.selection.getContent() + '[/h5]');
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('h5_btn', tinymce.plugins.h5_btn);
})();
/*h5*/
/*h6*/
(function() {
    tinymce.create('tinymce.plugins.h6_btn', {
        init : function(ed, url) {
            ed.addButton('h6_btn', {
                title : 'h6',
                image : url+'/shortcodesImg/h6.png',
                onclick : function() {
                    ed.selection.setContent('[h6]' + ed.selection.getContent() + '[/h6]');
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('h6_btn', tinymce.plugins.h6_btn);
})();
/*h6*/
/*youtube*/
(function() {
    tinymce.create('tinymce.plugins.youtube', {
        init : function(ed, url) {
            ed.addButton('youtube', {
                title : 'YouTube',
                image : url+'/shortcodesImg/youtubeVideo.png',
                onclick : function() {
                    ed.selection.setContent("[youtube width=\"\" height=\"\" id=\"\" ]" + ed.selection.getContent() + "[/youtube]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('youtube', tinymce.plugins.youtube);
})();
/*youtube*/
/*Vimeo*/
(function() {
    tinymce.create('tinymce.plugins.Vimeo', {
        init : function(ed, url) {
            ed.addButton('Vimeo', {
                title : 'Vimeo',
                image : url+'/shortcodesImg/vimeoVideo.png',
                onclick : function() {
                    ed.selection.setContent("[Vimeo width=\"\" height=\"\" id=\"\" ]" + ed.selection.getContent() + "[/Vimeo]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('Vimeo', tinymce.plugins.Vimeo);
})();
/*Vimeo*/
/*Tabs*/
(function() {
    tinymce.create('tinymce.plugins.tabs', {
        init : function(ed, url) {
            ed.addButton('tabs', {
                title : 'Tabs',
                image : url+'/shortcodesImg/tab.png',
                onclick : function() {
                    ed.selection.setContent("[tabgroup][tab title=\"\"]" + ed.selection.getContent() + "[/tab][/tabgroup]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('tabs', tinymce.plugins.tabs);
})();
/*Tabs*/
/*Accordion*/
(function() {
    tinymce.create('tinymce.plugins.accordion', {
        init : function(ed, url) {
            ed.addButton('accordion', {
                title : 'Accordion',
                image : url+'/shortcodesImg/toggle.png',
                onclick : function() {
                    ed.selection.setContent("[accordion]\r\n[accordion_item title=\"\"]" + ed.selection.getContent() + "[/accordion_item]\r\n[/accordion]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('accordion', tinymce.plugins.accordion);
})();
/*Accordion*/
/*alertInfo*/
(function() {
    tinymce.create('tinymce.plugins.alertInfo', {
        init : function(ed, url) {
            ed.addButton('alertInfo', {
                title : 'Alert Info',
                image : url+'/shortcodesImg/alertInfo.png',
                onclick : function() {
                    ed.selection.setContent("[alertInfo title=\"\"]" + ed.selection.getContent() + "[/alertInfo]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('alertInfo', tinymce.plugins.alertInfo);
})();
/*alertInfo*/
/*alertSuccess*/
(function() {
    tinymce.create('tinymce.plugins.alertSuccess', {
        init : function(ed, url) {
            ed.addButton('alertSuccess', {
                title : 'Alert Success',
                image : url+'/shortcodesImg/alertSuccess.png',
                onclick : function() {
                    ed.selection.setContent("[alertSuccess title=\"\"]" + ed.selection.getContent() + "[/alertSuccess]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('alertSuccess', tinymce.plugins.alertSuccess);
})();
/*alertSuccess*/
/*alertError*/
(function() {
    tinymce.create('tinymce.plugins.alertError', {
        init : function(ed, url) {
            ed.addButton('alertError', {
                title : 'Alert Error',
                image : url+'/shortcodesImg/alertError.png',
                onclick : function() {
                    ed.selection.setContent("[alertError title=\"\"]" + ed.selection.getContent() + "[/alertError]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('alertError', tinymce.plugins.alertError);
})();
/*alertError*/
/*alertWarning*/
(function() {
    tinymce.create('tinymce.plugins.alertWarning', {
        init : function(ed, url) {
            ed.addButton('alertWarning', {
                title : 'Alert Warning',
                image : url+'/shortcodesImg/alertWarning.png',
                onclick : function() {
                    ed.selection.setContent("[alertWarning title=\"\"]" + ed.selection.getContent() + "[/alertWarning]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('alertWarning', tinymce.plugins.alertWarning);
})();
/*alertWarning*/
/*fontAwesome*/
(function() {
    tinymce.create('tinymce.plugins.fontAwesome', {
        init : function(ed, url) {
            ed.addButton('fontAwesome', {
                title : 'Font Awesome',
                image : url+'/shortcodesImg/fontAwesome.png',
                onclick : function() {
                    ed.selection.setContent("[fontAwesome name=\"\" size=\"\"][/fontAwesome]");
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('fontAwesome', tinymce.plugins.fontAwesome);
})();
/*fontAwesome*/